complexType "CompressionActivity"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 5 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | compressionType?, ((replacementTradeIdentifier?, originatingTradeIdentifier*) | (replacementTradeId?, originatingTradeId*))
</...>

Content Model Elements (5):

  compressionType, originatingTradeId (in compressionActivity), originatingTradeIdentifier, | replacementTradeId, replacementTradeIdentifier

All Direct / Indirect Based Elements (1):

  compressionActivity

Known Usage Locations

- As direct type of elements (1):
  compressionActivity

Annotation
A type that shows how multiple trades have been combined into a result.
XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="CompressionActivity"> <xsd:sequence> <xsd:element minOccurs="0" name="compressionType" type="CompressionType"/> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="replacementTradeIdentifier" type="TradeIdentifier"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="originatingTradeIdentifier" type="TradeIdentifier"/> </xsd:sequence> <xsd:sequence> <!-- this option is deprecated in favour of the first choice --> <xsd:element minOccurs="0" name="replacementTradeId" type="TradeId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="originatingTradeId" type="TradeId"/> </xsd:sequence> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
compressionType

  Type: | CompressionType, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="compressionType" type="CompressionType"/>

originatingTradeId

  Type: | TradeId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="originatingTradeId" type="TradeId"/>

originatingTradeIdentifier

  Type: | TradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="originatingTradeIdentifier" type="TradeIdentifier"/>

replacementTradeId

  Type: | TradeId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="replacementTradeId" type="TradeId"/>

replacementTradeIdentifier

  Type: | TradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="replacementTradeIdentifier" type="TradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.